Skip to main content

Fleet

Manage your trucks and their costs, and read vehicles from a connected Samsara account.

Paths are relative to https://api.rushhourapp.com/api/v1. See the API reference overview for how to read each entry.

Trucks​

MethodPathSummary
GET/TrucksSearch trucks.
POST/TrucksAdd truck.
GET/Trucks/{id}Get truck.
PUT/Trucks/{id}Update truck.
DELETE/Trucks/{id}Delete truck.
GET/Trucks/ActiveCountByMonthGet active trucks count by month.
GET/Trucks/AllTrucksExpensesGet all trucks expenses.
GET/Trucks/TrucksWithExpensesSearch trucks with expenses.
GET/Trucks/TrucksWithVehiclesSearch trucks with vehicles.
POST/Trucks/UpdateExcludeExpensesUpdate exclude expenses.

GET /Trucks​

Search trucks.

Also accepts the shared list parameters.

Response: envelope; data is TruckPagedList.

POST /Trucks​

Add truck.

Required access: the Fleet tab - Create/Edit/delete fleet permission.

Request body: Truck (JSON).

Response: envelope; data is Truck.

GET /Trucks/{id}​

Get truck.

Parameters

NameInTypeRequiredDescription
idpathinteger (int32)Yes

Response: envelope; data is Truck.

PUT /Trucks/{id}​

Update truck.

Required access: the Fleet tab - Create/Edit/delete fleet permission.

Parameters

NameInTypeRequiredDescription
idpathinteger (int32)Yes

Request body: Truck (JSON).

Response: envelope; data is Truck.

DELETE /Trucks/{id}​

Delete truck.

Required access: the Fleet tab - Create/Edit/delete fleet permission.

Parameters

NameInTypeRequiredDescription
idpathinteger (int32)Yes
removeExpensesquerybooleanNo

Response: envelope; data is Truck.

GET /Trucks/ActiveCountByMonth​

Get active trucks count by month.

Required access: the Expenses tab - view existing data permission.

Parameters

NameInTypeRequiredDescription
datequerystring (date-time)No

Response: envelope; data is integer (int32).

GET /Trucks/AllTrucksExpenses​

Get all trucks expenses.

Required access: the Expenses tab - view existing data permission.

Parameters

NameInTypeRequiredDescription
datequerystring (date-time)No

Response: envelope; data has no documented shape.

GET /Trucks/TrucksWithExpenses​

Search trucks with expenses.

Required access: the Expenses tab - view existing data permission.

Also accepts the shared list parameters.

Response: envelope; data is TruckWithExpensesPagedList.

GET /Trucks/TrucksWithVehicles​

Search trucks with vehicles.

Required access: the Fleet tab - View fleets data permission.

Also accepts the shared list parameters.

Response: envelope; data is TruckWithVehiclePagedList.

POST /Trucks/UpdateExcludeExpenses​

Update exclude expenses.

Required access: the Expenses tab - create/edit/delete data permission.

Request body: UpdateExcludeExpensesRequest (JSON).

Response: envelope; data has no documented shape.

Truck expenses​

MethodPathSummary
GET/TruckExpensesSearch truck monthly expense.

GET /TruckExpenses​

Search truck monthly expense.

Required access: the Expenses tab - view existing data permission.

Also accepts the shared list parameters.

Response: envelope; data is TruckMonthlyExpensePagedList.

Samsara vehicles​

MethodPathSummary
GET/Samsara/FleetList the vehicles in the connected Samsara account.
GET/Samsara/FleetLocationsGet the latest locations of the vehicles in the connected Samsara account.
PUT/Samsara/VehicleUpdate a vehicle in the connected Samsara account.

GET /Samsara/Fleet​

List the vehicles in the connected Samsara account.

Required access: the Fleet tab - View fleets data permission.

Response: envelope; data is array of Vehicle.

GET /Samsara/FleetLocations​

Get the latest locations of the vehicles in the connected Samsara account.

Response: envelope; data is array of VehicleLocation.

PUT /Samsara/Vehicle​

Update a vehicle in the connected Samsara account.

Required access: the Fleet tab - View fleets data permission.

Request body: Vehicle (JSON).

Response: envelope; data is Vehicle.